@extends(templates/layout_normal)

@section(main)
    <div class="gridContainer">
        <div>
            <h3 class="marginBottom">
                Communities
                <span class="small">[<a href="<?= Container::$routeCollection->getRoute('community.new')->generateLink() ?>">new</a>]</span>
            </h3>
            <?php if (count($communities) > 0): ?>
                <?php foreach ($communities as $community): ?>
                    <p><a href="<?= Container::$routeCollection->getRoute('community')->generateLink(['communitySlug' => $community->getSlug()]) ?>"><?= $community->getName() ?></a></p>
                <?php endforeach; ?>
            <?php else: ?>
                <p>You have no community.</p>
            <?php endif; ?>
        </div>
        <div>
            <h3 class="marginBottom">Upcoming events</h3>
            <?php if (count($upcomingEvents) > 0): ?>
                <?php foreach ($upcomingEvents as $event): ?>
                    <p>
                        <a href="<?= Container::$routeCollection->getRoute('community.event')->generateLink(['communitySlug' => $event->getCommunity()->getSlug(), 'eventSlug' => $event->getSlug()]) ?>"><?= $event->getTitle() ?></a>
                        <span class="small">
                            (<a href="<?= Container::$routeCollection->getRoute('community')->generateLink(['communitySlug' => $event->getCommunity()->getSlug()]) ?>"><?= $event->getCommunity()->getName() ?></a>)
                            <?= $event->getStartDate()->format('Y-m-d') ?> – <?= $event->getEndDate()->format('Y-m-d') ?>
                        </span>
                    </p>
                <?php endforeach; ?>
            <?php else: ?>
                <p>There is no upcoming event.</p>
            <?php endif; ?>
        </div>
    </div>
@endsection
